/* 1. Box-sizing reset for easier sizing */
        *,
        *::before,
        *::after {
            box-sizing: border-box;
        }

        /* 2. Remove default browser margins and padding */
        * {
            margin: 0;
            padding: 0;
        }

        /* 3. Basic body defaults */
        body {
            line-height: 1.5;
            -webkit-font-smoothing: antialiased;
        }

        /* Video background */
        .bg-video {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
            z-index: -1;

            /* Slow cinematic movement */
            animation: slowZoom 2s ease-in-out infinite alternate;

            /* Slight darkening */
            filter: brightness(.95);
        }

        /* Slow zoom effect */
        @keyframes slowZoom {

            0% {
                transform: scale(1);
            }

            100% {
                transform: scale(1.08);
            }
        }

        .navbar-custom {
            background-color: #2731F5;
            /* Your custom hex code */
        }

         /* TOP IMAGE */
        .top-image {
            width: 100%;
            text-align: center;
            margin-top: 75px;
            margin-bottom: 12px;
        }

        .top-image img {
            width: 100%;
            max-width: 1000px;
            height: 350px;
            display: block;
            margin: auto;
            border-radius: 8px;
        }

        .search-container {
            max-width: 500px;
            position: relative;
            }

        .search-box {
            width: 100%;
            padding: 12px 40px 12px 40px;
            font-size: 16px;
            border: 1px solid #ccc;
            border-radius: 25px;
            outline: none;
            }

        .search-icon {
            position: absolute;
            top: 50%;
            left: 15px;
            transform: translateY(-50%);
            font-size: 18px;
            color: #888;
            pointer-events: none;
            }

         /* MAIN LAYOUT */
        .main-layout {
            display: flex;
            gap: 10px;
            align-items: flex-start;
        }

        /* CENTER COLUMN */
        .center-column {
            flex: 1;
            background: #0a0c73;
            background: linear-gradient(180deg, rgba(10, 12, 115, 1) 0%, rgba(255, 255, 255, 1) 5%);
            margin-bottom: 75px;
            padding: 12px;
            border-radius: 8px;
            min-height: 500px;
            max-width: 80%;
            border: 5px solid #0d6efd;
            border-radius: 8px;
            /* Centers horizontally */
        }

        /* RIGHT COLUMN */
        .right-column {
            width: 250px;
           
            background: #0a0c73;
            
            padding: 12px;
            border: 5px solid #0d6efd;
            border-radius: 8px;

            height: 50vh;
            overflow-y: auto;

            position: sticky;
            top: 10px;
        }

        .items-right p {
            color: #99A7FF;
            font-weight: 700;
            
        }

        audio {
                margin-left: 20px;
                margin-bottom: 10px;
                border-style: solid;
                border-color: #00008b;
                border-radius: 30px;
                opacity: 1;
            }

            .grow-link {
                display: inline-block;
                font-size: 24px;
                transition: transform 0.3s ease;
            }

            .grow-link:hover {
                transform: scale(1.5);
                font-weight: bold;
            }

            .study-title {
                font-weight: bold;
                color: #000;
            }

             p {
                color: #000;
            }

            .studies {
                margin-top: -10px;
            }

            .list {
                color: #fff;
            }

            .verse{
                margin-left: 2em;
                margin-right: 2em;
                margin-bottom: 0.5em;
                font-size: 1em;
                font-weight: bold;
            }

             .fixed-footer {
                position: fixed;
                /* Fixes the footer relative to the viewport */
                bottom: 0;
                /* Places it at the very bottom */
                left: 0;
                /* Ensures it starts from the left edge */
                width: 100%;
                /* Makes it span the full width of the screen */
                background-color: #2731F5;
                color: white;
                text-align: center;
                /* Centers the text horizontally */
                padding: 15px 0;
            }

           

        @media (max-width: 1120px) {
            .navbar-brand {
                float: none !important;
                display: flex !important;
                justify-content: center !important;
                margin: 0 auto;
            }

            .navbar-brand {
                margin: 0 auto;
            }
        }

        /* MOBILE VIEW */
        /* KEEP SIDE BY SIDE */
        @media (max-width:768px) {

            body {
                padding: 6px;
            }

            .main-layout {
                gap: 6px;
            }

            .center-column {
                width: 55%;
                padding: 3px;
                padding-top: 8px;
                font-size: 14px;
                background: #0a0c73;
                background: linear-gradient(180deg, rgba(10, 12, 115, 1) 0%, rgba(255, 255, 255, 1) 2%);
            }

            .studies {
                margin-top: -8px;
                
            }

            .right-column {
                width: 25%;
                padding: 8px;

                border: 5px solid #0d6efd;
                border-radius: 8px;

                height: 70vh;

                overflow-y: auto;
                overflow-x: hidden;

                box-sizing: border-box;

                /* keeps scrollbar space visible */
                scrollbar-gutter: stable;

                /* prevents mobile flex shrinking */
                flex-shrink: 0;
            }

        /* Mobile view: move icon to right */
        @media (max-width: 600px) {
            .search-icon {
                left: auto;
                right: 15px;
            }

            .search-box {
                padding: 12px 40px 12px 15px;
            }

            .top-image img {
            width: 100%;
            max-width: 1000px;
            height: 50%;
            display: block;
            margin: auto;
            border-radius: 8px;
        }

        .right-column {
                width: 25%;
                padding: 8px;

                border: 5px solid #0d6efd;
                border-radius: 8px;

                height: 70vh;

                overflow-y: auto;
                overflow-x: hidden;

                box-sizing: border-box;

                /* keeps scrollbar space visible */
                scrollbar-gutter: stable;

                /* prevents mobile flex shrinking */
                flex-shrink: 0;

                background: #0a0c73;
            }

            .container {
                margin-top: 45px;
                margin-bottom: 15px;
            }

        }

            

            /* New Right Side Bar */
            .scroll-div {
                position: fixed;
                top: 0;
                right: 0;
                height: 100%;
                overflow: hidden;
                overflow-y: scroll;
                padding-bottom: 35px;
                scrollbar-color: white rgb(34, 0, 128);
                color: #fff;
                width: 100px;
            }

            .scroll-div a {
                color: #fff;
                font-weight: 300;
            }

             h1 {
                font-weight: bold;
                padding-left: 5px;
            }

            .verse {
                font-weight: bold;
            }

            a {
                text-decoration: none;
                font-size: 24px;
            }

            audio {
                margin-left: 20px;
                margin-bottom: 10px;
                border-style: solid;
                border-color: #00008b;
                border-radius: 30px;
                opacity: 1;
            }

           .fixed-footer {
                position: fixed;
                /* Fixes the footer relative to the viewport */
                bottom: 0;
                /* Places it at the very bottom */
                left: 0;
                /* Ensures it starts from the left edge */
                width: 100%;
                /* Makes it span the full width of the screen */
                
                color: white;
                text-align: center;
                /* Centers the text horizontally */
                padding: 15px 0;
            }
        }